@import '../../../styles/variables.scss';
@import '../../../styles/dependencies/helpers.scss';


.loginContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 83px;
    padding-left: 16px;
    padding-right: 16px;
    height: $main-height;

    .loginTitle {
        font-size: 25px;
    }

    form {
        margin-top: 30px;
        display: flex;
        column-gap: 10px;
        flex-direction: column;
        row-gap: 10px;
        width: 100%;

        input {
            width: 100%;
            box-sizing: border-box;
            padding: 10px;
            outline: none;
        }

        .loginError {
            color: $red;
            text-align: center;
            margin: 0;
            font-size: 14px;
        }

        .loginBtn {
            background: $primary;
            outline: none;
            border: none;
            border-radius: 999px;
            color: white;
            font-weight: 500;
            &:hover{
                opacity: 0.75;
                cursor: pointer;
            }
        }
    }
}

.loginPasswordField {
    position: relative;
    .loginPasswordIcon{
        position: absolute;
        right: 15px;
        top: 30%;
        width: 20px;
        height: 20px;
        &:hover{
            cursor:pointer;
        }
    }
}

.loginLogoFirstChar {
    font-size: 40px;
    font-weight: bold;
    color: $primary
}

.loginLogoSecondChar {
    font-size: 40px;
    font-weight: bold;
    padding: 5px;
    background-color: $primary;
    color: white;
    border-radius: 5px;
}

.loginSignup {
    margin-top: 20px;
}

.loginSignup_special {
    color: $primary;
    margin-left: 5px;
    &:hover{
        text-decoration: underline;
        text-underline-offset: 2px;
        cursor: pointer;
    }
}

.loginBackground {
    position: absolute;
    top: 65%;
}